// point_example.04.c        Point relational operators

#include "IntPoint.h"

int  main()
{
    IA_Point<int>
	ipoint123(1, 2, 3),
	ipoint321(3, 2, 1),
	ipoint333(3, 3, 3);
    
    cout << (ipoint123 < ipoint321) << "\n";
    // This has value 0 (false) because the relational operators (with the
    //   exception of !=) require the relation to hold at each coordinate.
    
    cout << (ipoint333 >= ipoint123) << "\n";
    // This has value 1 (true). (The relation holds for each coordinate.)
    
    cout << (ipoint123 != ipoint321) << "\n";
    // This has value 1 (true) because != returns the negation of the ==
    // relation (which does not hold at coordinates 0 and 2).

    return 0;
}
